import React, { useEffect, useMemo, useState } from 'react';
import { Checkbox, Divider } from 'antd';
import styles from './index.less';

const plainOptions = ['身份号码', '姓名', '名族', '住址', '出生', '性别', '失效日期', '签发机关', '签发日期'];
const defaultCheckedList = ['姓名', '名族', '住址', '身份号码', '出生', '性别', '失效日期', '签发机关', '签发日期'];
const CheckboxGroup = Checkbox.Group;

const TableNames = (props) => {
  const { value, schema, onChange } = props;

  const [checkedList, setCheckedList] = useState((value && value.length > 0) ? value : defaultCheckedList);
  const checkAll = plainOptions.length === checkedList.length;
  const indeterminate = checkedList.length > 0 && checkedList.length < plainOptions.length;

  const onChangeOne = (list) => {
    setCheckedList(list);
    onChange(list);
  };
  const onCheckAllChange = (e) => {
    setCheckedList(e.target.checked ? plainOptions : []);
    onChange(e.target.checked ? plainOptions : []);
  };

  return (
    <div className={styles.CheckBoxGroup}>
      <Checkbox indeterminate={indeterminate} onChange={onCheckAllChange} checked={checkAll}>
        全选
      </Checkbox>
      <Divider />
      <CheckboxGroup options={plainOptions} value={checkedList} onChange={onChangeOne} />
    </div>

  );

};

export default TableNames;